package com.fs.company.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 公司短信对象 company_sms
 * 
 * @author fs
 * @date 2023-01-09
 */
public class CompanySms extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long smsId;

    /** 公司ID */
    @Excel(name = "公司ID")
    private Long companyId;

    /** 剩余短信 */
    @Excel(name = "剩余短信")
    private Long remainSmsCount;

    /** 总短信数 */
    @Excel(name = "总短信数")
    private Long totalSmsCount;

    public void setSmsId(Long smsId) 
    {
        this.smsId = smsId;
    }

    public Long getSmsId() 
    {
        return smsId;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }
    public void setRemainSmsCount(Long remainSmsCount) 
    {
        this.remainSmsCount = remainSmsCount;
    }

    public Long getRemainSmsCount() 
    {
        return remainSmsCount;
    }
    public void setTotalSmsCount(Long totalSmsCount) 
    {
        this.totalSmsCount = totalSmsCount;
    }

    public Long getTotalSmsCount() 
    {
        return totalSmsCount;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("smsId", getSmsId())
            .append("companyId", getCompanyId())
            .append("remainSmsCount", getRemainSmsCount())
            .append("totalSmsCount", getTotalSmsCount())
            .toString();
    }
}
